com.informix.asf

## Class ASFObject

- java.lang.Object
- - com.informix.asf.ASFObject

    public class ASFObject
    extends java.lang.Object

This class encapsulates the java object along with the Informix datatype equivalent so that Java ASF understands the semantics of converting it to an Informix datatype and vice versa.

### Field Summary

Fields
`java.lang.Object` `object` The equivalent java object of the informix datatype.
`static short` `SQ_TYPE_BYTE` Used for blobs transfer
`static short` `SQ_TYPE_CHAR` Used for the java.lang.String
`static short` `SQ_TYPE_DATE` Used for the java.sql.Date
`static short` `SQ_TYPE_DATETIME` Used for the java.sql.DateTime
`static short` `SQ_TYPE_DECIMAL` Used for the java.lang.BigNum
`static short` `SQ_TYPE_DOUBLE` Used for the java.lang.Double
`static short` `SQ_TYPE_FLOAT` Used for the java.lang.Double
`static short` `SQ_TYPE_INTEGER` Used for the java.lang.Integer
`static short` `SQ_TYPE_INTERVAL` Not supported yet
`static short` `SQ_TYPE_MASK` Used for masking the bits.
`static short` `SQ_TYPE_MONEY` Used for the java.lang.BigNum
`static short` `SQ_TYPE_NUMERIC` Used for the java.lang.BigNum
`static short` `SQ_TYPE_REAL` Used for the java.lang.Float
`static short` `SQ_TYPE_SERIAL` Used for the java.lang.Integer.
`static short` `SQ_TYPE_SMALLINT` Used for the java.lang.Integer.
`static short` `SQ_TYPE_SMFLOAT` Used for the java.lang.Float
`static short` `SQ_TYPE_TEXT` Used for blob/text transfers
`static short` `SQ_TYPE_VARCHAR` Used for java.lang.String , also used by pushByteArray for blob message.
`short` `sqlType` the equivalent informix datatype of the Object object.

### Constructor Summary

Constructors
`protected` `ASFObject()`
`` `ASFObject(short type, java.lang.Object obj)` Constructs an ASFObject.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SQ_TYPE_BYTE

    public static final short SQ_TYPE_BYTE

Used for blobs transfer

See Also:
  Constant Field Values

#### SQ_TYPE_CHAR

    public static final short SQ_TYPE_CHAR

Used for the java.lang.String

See Also:
  Constant Field Values

#### SQ_TYPE_DATE

    public static final short SQ_TYPE_DATE

Used for the java.sql.Date

See Also:
  Constant Field Values

#### SQ_TYPE_DATETIME

    public static final short SQ_TYPE_DATETIME

Used for the java.sql.DateTime

See Also:
  Constant Field Values

#### SQ_TYPE_REAL

    public static final short SQ_TYPE_REAL

Used for the java.lang.Float

See Also:
  Constant Field Values

#### SQ_TYPE_SMFLOAT

    public static final short SQ_TYPE_SMFLOAT

Used for the java.lang.Float

See Also:
  Constant Field Values

#### SQ_TYPE_DECIMAL

    public static final short SQ_TYPE_DECIMAL

Used for the java.lang.BigNum

See Also:
  Constant Field Values

#### SQ_TYPE_NUMERIC

    public static final short SQ_TYPE_NUMERIC

Used for the java.lang.BigNum

See Also:
  Constant Field Values

#### SQ_TYPE_FLOAT

    public static final short SQ_TYPE_FLOAT

Used for the java.lang.Double

See Also:
  Constant Field Values

#### SQ_TYPE_DOUBLE

    public static final short SQ_TYPE_DOUBLE

Used for the java.lang.Double

See Also:
  Constant Field Values

#### SQ_TYPE_INTEGER

    public static final short SQ_TYPE_INTEGER

Used for the java.lang.Integer

See Also:
  Constant Field Values

#### SQ_TYPE_MONEY

    public static final short SQ_TYPE_MONEY

Used for the java.lang.BigNum

See Also:
  Constant Field Values

#### SQ_TYPE_INTERVAL

    public static final short SQ_TYPE_INTERVAL

Not supported yet

See Also:
  Constant Field Values

#### SQ_TYPE_SERIAL

    public static final short SQ_TYPE_SERIAL

Used for the java.lang.Integer.

See Also:
  Constant Field Values

#### SQ_TYPE_SMALLINT

    public static final short SQ_TYPE_SMALLINT

Used for the java.lang.Integer.

See Also:
  Constant Field Values

#### SQ_TYPE_TEXT

    public static final short SQ_TYPE_TEXT

Used for blob/text transfers

See Also:
  Constant Field Values

#### SQ_TYPE_VARCHAR

    public static final short SQ_TYPE_VARCHAR

Used for java.lang.String , also used by pushByteArray for blob message.

See Also:
  Constant Field Values

#### SQ_TYPE_MASK

    public static final short SQ_TYPE_MASK

Used for masking the bits.

See Also:
  Constant Field Values

#### sqlType

    public short sqlType

the equivalent informix datatype of the Object object. It should only be assigned values as defined in the variables above.

#### object

    public java.lang.Object object

The equivalent java object of the informix datatype.

### Constructor Detail

#### ASFObject

    public ASFObject(short type,
             java.lang.Object obj)

Constructs an ASFObject.

Parameters:
  `type` - The informix type of the java object obj.
  `obj` - The java object.

#### ASFObject

    protected ASFObject()